%define url_ver %(echo %{version}|cut -d. -f1,2)
%define major 6
%define libname %mklibname matedict1.0_ %{major}
%define develname %mklibname -d matedict1.0

Summary:        MATE utility programs such as file search and calculator
Name:           mate-utils
Version:        1.6.1
Release:        %mkrel 1
Group:          Graphical desktop/MATE
License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: docbook-dtd412-xml
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(libcanberra-gtk)
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(libmatepanelapplet-4.0)
BuildRequires: pkgconfig(mate-doc-utils)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)

%description
MATE Utilities is a collection of small applications all there to make
your day just that little bit brighter - System Log Viewer,
Search Tool, Dictionary.

%package -n %libname
Group:   System/Libraries
Summary: MATE dictionary shared library

%description -n %libname
This is the shared library required by the MATE Dictionary.

%package -n %develname
Group:     Development/C
Summary:   MATE dictionary library development files
Requires:  %libname = %version-%release
Provides:  libmatedict1.0-devel = %version-%release
Provides:  %{name}-devel = %version-%release

%description -n %develname
This is the shared library required by the MATE Dictionary.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
    --disable-static            \
    --disable-scrollkeeper      \
    --disable-schemas-compile   \
    --enable-gdict-applet       \
    --enable-gtk-doc-html       \
    --enable-ipv6=yes           \
    --disable-schemas-compile   \
    --with-x

%make

%install
%makeinstall_std

rm -rf %{buildroot}/var
rm -fv %{buildroot}%{_libdir}/*.la

# make mate-system-log use consolehelper until it starts using polkit
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cat <<EOF >%{buildroot}%{_sysconfdir}/pam.d/mate-system-log
#%%PAM-1.0
auth        include     system-auth
account     include     system-auth
session     include     system-auth
EOF

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat <<EOF >%{buildroot}%{_sysconfdir}/security/console.apps/mate-system-log
USER=root
PROGRAM=/usr/sbin/mate-system-log
SESSION=true
FALLBACK=true
EOF

mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/mate-system-log %{buildroot}%{_sbindir}
ln -s /usr/bin/consolehelper %{buildroot}%{_bindir}/mate-system-log

%{find_lang} %{name}-2.0 --with-gnome --all-name
for omf in %{buildroot}%_datadir/omf/*/{*-??,*-??_??}.omf ;do
    echo "%lang($(basename "$omf"|sed -e s/.*-// -e s/.omf//)) $(echo "$omf"|sed s!%{buildroot}!!)" >> %name-2.0.lang
done

desktop-file-install                          \
  --remove-category="MATE"                    \
  --add-category="X-Mate"                     \
  --delete-original                           \
  --dir %{buildroot}%{_datadir}/applications  \
%{buildroot}%{_datadir}/applications/*

for i in %{buildroot}%{_datadir}/applications/* ; do
 desktop-file-validate $i
done

rm -fv %{buildroot}%{_bindir}/test-reader

# Remove unneeded MateConf stuff
rm -fr %{buildroot}%{_datadir}/MateConf

%files -f %{name}-2.0.lang
%doc AUTHORS ChangeLog NEWS README
%doc mate-dictionary/AUTHORS
%doc mate-dictionary/README
%doc baobab/AUTHORS
%doc baobab/README
%config(noreplace) %{_datadir}/dbus-1/services/*.service
%{_sysconfdir}/security/console.apps/mate-system-log
%{_sysconfdir}/pam.d/mate-system-log
%{_bindir}/*
%{_sbindir}/mate-system-log
%{_libexecdir}/mate-dictionary-applet
%{_mandir}/*/*
%{_datadir}/applications/mate-*.desktop
%{_datadir}/mate-dict/
%{_datadir}/mate-dictionary/
%{_datadir}/mate-screenshot/
%{_datadir}/mate-disk-usage-analyzer/
%{_datadir}/mate-utils/
%{_datadir}/pixmaps/*
%{_iconsdir}/hicolor/*/apps/mate-disk-usage-analyzer.*
%{_datadir}/mate/help/*
%{_datadir}/gtk-doc/html/mate-dict/*
%{_datadir}/glib-2.0/schemas/*gschema.xml
%{_datadir}/mate-panel/applets/org.mate.DictionaryApplet.mate-panel-applet
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf

%files -n %libname
%_libdir/libmatedict.so.%{major}*

%files -n %develname
%{_libdir}/libmatedict*.so
%{_libdir}/pkgconfig/mate-dict*.pc
%{_includedir}/mate-dict




%changelog
* Thu Jan 09 2014 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 565725
- Bugfix release update: 1.6.1

* Mon Nov 25 2013 tarakbumba <tarakbumba> 1.6.0-3.mga4
+ Revision: 553503
- Fixes mate-screenshot not saving choosen path (mga#11451)
- Various upstream bugfixes after version release

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531064
- Mageia 4 Mass Rebuild

* Fri Jun 21 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 445543
- imported package mate-utils

